This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 478467 - RFE: please include the examples
RFE: please include the examples
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-qpid (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nuno Santos
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-30 12:18 EST by Jose Pedro Oliveira
Modified: 2013-09-12 18:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-22 21:23:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2008-12-30 12:18:13 EST
Description of problem:
The current python-qpid rpm doesn't include the examples source code.  These files are mentioned in the Red Hat MRG Messaging documentation.


Version-Release number of selected component (if applicable):
python-qpid-0.4.728142-2


Expected results:
See the examples shipped as documentation files.

Additional info:

Possible specfile patch (it removes the execution permission in order to avoid rpmlint warnings).

--- python-qpid.spec.f9 2008-12-23 16:08:45.000000000 +0000
+++ python-qpid.spec    2008-12-30 17:11:48.000000000 +0000
@@ -33,6 +33,8 @@
 echo "\n" > cpp_failing_0-8.txt
 echo 'amqp_spec = "%{_datadir}/amqp/amqp.0-10-qpid-errata.xml"' > qpid_config.py
 
+find examples/ -type f -exec chmod -c 644 {} ';'
+
 %build
 #empty
 
@@ -66,7 +68,7 @@
 %{python_sitelib}/qpid_config.*
 %{_bindir}/python-qpid-tests
 %{_bindir}/qpid-*
-%doc LICENSE.txt NOTICE.txt README.txt doc/test-requirements.txt
+%doc LICENSE.txt NOTICE.txt README.txt doc/test-requirements.txt examples/
 
 %changelog
 * Tue Dec 23 2008 Nuno Santos <nsantos@redhat.com> - 0.4.728142-2
Comment 1 Jose Pedro Oliveira 2009-01-22 21:23:41 EST
Included in the release 0.4.734452-1.

CVS commit:
https://www.redhat.com/archives/fedora-extras-commits/2009-January/msg03998.html

Note You need to log in before you can comment on or make changes to this bug.